<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      lang="en" class="no-js"
      layout:decorator="layouts/main">
<head>
    <link rel="stylesheet" th:href="@{/css/academy.css}"/>
    <script type="application/javascript">
        window.I18N = {
            <th:block th:include="fragments/base::js-i18n('tbt.academy.challenge.toBig')"/>,
            <th:block th:include="fragments/base::js-i18n('tbt.academy.challenge.invalid')"/>,
            <th:block th:include="fragments/base::js-i18n('tbt.academy.challenge.noCourse')"/>,
            <th:block th:include="fragments/base::js-i18n('tbt.form.upload.error')"/>,
            <th:block th:include="fragments/base::js-i18n('tbt.academy.challenge.success')"/>,
        };
    </script>
</head>
<body>

<div class="navbar-inner academy-menu" layout:fragment="submenu">
    <th:block th:each="category:${T(tbt.app.domains.skill.Category).sortedValues}">
        <th:block th:include="fragments/academy::skillMenu(${category}, ${skills})"/>
    </th:block>
</div>

<div layout:fragment="container">
    <div id="academy" class="col-md-4 col-md-offset-4 body">
        <th:block layout:fragment="academy-container"/>
    </div>
</div>

<th:block layout:fragment="js">
    <script th:src="@{/js/jquery-3.2.1.min.js}"></script>
    <script src="https://www.youtube.com/iframe_api"></script>
    <script th:src="@{/js/application.js}"></script>
</th:block>

<th:block layout:fragment="footer" th:include="fragments/base::score"/>

</body>
</html>
